Crashpad

Public Attributes | List of all members
TIME_ZONE_INFORMATION Struct Reference

Information about a time zone and its daylight saving rules. More...

`#include "timezoneapi.h"`

## Public Attributes
int32_t | Bias
| The number of minutes west of UTC.
base::char16 | StandardName [32]
| The UTF-16-encoded name of the time zone when observing standard time.
SYSTEMTIME | StandardDate
| The date and time to switch from daylight saving time to standard time. More...
int32_t | StandardBias
| The bias relative to Bias to be applied when observing standard time.
base::char16 | DaylightName [32]
| The UTF-16-encoded name of the time zone when observing daylight saving time.
SYSTEMTIME | DaylightDate
| The date and time to switch from standard time to daylight saving time. More...
int32_t | DaylightBias
| The bias relative to Bias to be applied when observing daylight saving time.

## Detailed Description

Information about a time zone and its daylight saving rules.

## Member Data Documentation

## ◆ DaylightDate

SYSTEMTIME TIME_ZONE_INFORMATION::DaylightDate

The date and time to switch from standard time to daylight saving time.

This field is specified in the same manner as StandardDate.

## ◆ StandardDate

SYSTEMTIME TIME_ZONE_INFORMATION::StandardDate

The date and time to switch from daylight saving time to standard time.

This can be a specific time, or with SYSTEMTIME::wYear set to `0`, it can reflect an annual recurring transition. In that case, SYSTEMTIME::wDay in the range `1` to `5` is interpreted as the given occurrence of SYSTEMTIME::wDayOfWeek within the month, `1` being the first occurrence and `5` being the last (even if there are fewer than 5).

The documentation for this struct was generated from the following file:

- compat/non_win/timezoneapi.h